@echo off
Rem xform.bat
Rem Usage:
Rem "  xform [custom | develop | runtime]"
Rem Builds setup.lst to reflect the name of the setup executable;
Rem Renames the setup1 executable to the requested name.
Rem The name is used during installation as a flag for the type of
Rem installation to perform.

echo %1.ex_> setup.lst
echo setupkit.dl_>> setup.lst
echo vbrun300.dl_>> setup.lst
echo threed.vb_>> setup.lst

if exist %1.ex_ goto alldone

if not exist setup1.ex_ goto custom
@echo on
rename setup1.ex_ %1.ex_
@echo off
goto alldone

:custom
if not exist custom.ex_ goto develop
@echo on
rename custom.ex_ %1.ex_
@echo off
goto alldone

:develop
if not exist develop.ex_ goto runtime
@echo on
rename develop.ex_ %1.ex_
@echo off
goto alldone

:runtime
if not exist runtime.ex_ goto alldone
@echo on
rename runtime.ex_ %1.ex_
@echo off

:alldone
@echo on
type setup.lst
